Bug 14335 - Система молча подвисает
: Система молча подвисает
Status: CLOSED WONTFIX
: Branch 4.0
(All bugs in Branch 4.0/kernel-image-ovz-smp)
: 4.0
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-02-06 10:44 by
Modified: 2014-11-05 20:15 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-06 10:44:26
Стабильно подвисает при интенсивном сетевом обмене через внешний адаптер
realtek
8139
проявляется на ядрах:
kernel-image-ovz-smp-2.6.18-alt14
kernel-image-ovz-smp-2.6.18-alt21
kernel-image-std-smp-2.6.18-alt11

dmesg:
Linux version 2.6.18-ovz-smp-alt21 (builder@apiary.armor.altlinux.org) (gcc
version 4.1.1 20070105 (ALT Linux, build 4.1.1-alt12)) #1 SMP Sun Jan 20
06:03:03 MSK 2008
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 0000000000097800 (usable)
 BIOS-e820: 0000000000097800 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e4000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000003ff70000 (usable)
 BIOS-e820: 000000003ff70000 - 000000003ff78000 (ACPI data)
 BIOS-e820: 000000003ff78000 - 000000003ff80000 (ACPI NVS)
 BIOS-e820: 000000003ff80000 - 0000000040000000 (reserved)
 BIOS-e820: 00000000e0000000 - 00000000f0000000 (reserved)
 BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ff800000 - 00000000ffc00000 (reserved)
 BIOS-e820: 00000000fffffc00 - 0000000100000000 (reserved)
127MB HIGHMEM available.
896MB LOWMEM available.
found SMP MP-table at 000f5ca0
Using x86 segment limits to approximate NX protection
On node 0 totalpages: 262000
  DMA zone: 4096 pages, LIFO batch:0
  Normal zone: 225280 pages, LIFO batch:31
  HighMem zone: 32624 pages, LIFO batch:7
DMI present.
ACPI: RSDP (v000 PTLTD                                 ) @ 0x000f5d00
ACPI: RSDT (v001 PTLTD    RSDT   0x06040000  LTP 0x00000000) @ 0x3ff72fae
ACPI: FADT (v001 INTEL  LINDHRST 0x06040000 PTL  0x00000003) @ 0x3ff77e48
ACPI: MADT (v001 PTLTD           APIC   0x06040000  LTP 0x00000000) @
0x3ff77ebc
ACPI: BOOT (v001 PTLTD  $SBFTBL$ 0x06040000  LTP 0x00000001) @ 0x3ff77f48
ACPI: SPCR (v001 PTLTD  $UCRTBL$ 0x06040000 PTL  0x00000001) @ 0x3ff77f70
ACPI: MCFG (v001 PTLTD           MCFG   0x06040000  LTP 0x00000000) @
0x3ff77fc0
ACPI: SSDT (v001  PmRef    CpuPm 0x00003000 INTL 0x20030224) @ 0x3ff72fea
ACPI: DSDT (v001  Intel LINDHRST 0x06040000 MSFT 0x0100000e) @ 0x00000000
ACPI: PM-Timer IO Port: 0x1008
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
Processor #0 15:4 APIC version 20
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x06] enabled)
Processor #6 15:4 APIC version 20
ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 1, version 32, address 0xfec00000, GSI 0-23
ACPI: IOAPIC (id[0x02] address[0xfec10000] gsi_base[24])
IOAPIC[1]: apic_id 2, version 32, address 0xfec10000, GSI 24-47
ACPI: IOAPIC (id[0x03] address[0xfec80000] gsi_base[48])
IOAPIC[2]: apic_id 3, version 32, address 0xfec80000, GSI 48-71
ACPI: IOAPIC (id[0x04] address[0xfec80400] gsi_base[72])
IOAPIC[3]: apic_id 4, version 32, address 0xfec80400, GSI 72-95
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 high edge)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Enabling APIC mode:  Flat.  Using 4 I/O APICs
Using ACPI (MADT) for SMP configuration information
Allocating PCI resources starting at 50000000 (gap: 40000000:a0000000)
Detected 2800.295 MHz processor.
Built 1 zonelists.  Total pages: 262000
Kernel command line: auto BOOT_IMAGE=2618-ovz-smp-21 ro root=900 panic=30
mapped APIC to ffffd000 (fee00000)
mapped IOAPIC to ffffc000 (fec00000)
mapped IOAPIC to ffffb000 (fec10000)
mapped IOAPIC to ffffa000 (fec80000)
mapped IOAPIC to ffff9000 (fec80400)
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Initializing CPU#0
PID hash table entries: 4096 (order: 12, 16384 bytes)
Console: colour dummy device 80x25
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
Memory: 1033660k/1048000k available (1644k kernel code, 13760k reserved, 669k
data, 200k init, 130496k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay using timer specific routine.. 5604.64 BogoMIPS
(lpj=11209280)
Mount-cache hash table entries: 512
CPU: After generic identify, caps: bfebfbff 20100000 00000000 00000000 0000641d
00000000 00000001
CPU: After vendor identify, caps: bfebfbff 20100000 00000000 00000000 0000641d
00000000 00000001
monitor/mwait feature present.
using mwait in idle threads.
CPU: Trace cache: 12K uops, L1 D cache: 16K
CPU: L2 cache: 2048K
CPU: Hyper-Threading is disabled
CPU: After all inits, caps: bfebf3ff 20100000 00000000 00000180 0000641d
00000000 00000001
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU0: Intel P4/Xeon Extended MCE MSRs (24) available
CPU0: Thermal monitoring enabled
Compat vDSO mapped to ffffe000.
Checking 'hlt' instruction... OK.
Freeing SMP alternatives: 16k freed
Page beancounter hash is 65536 entries.
checking if image is initramfs... it is
Freeing initrd memory: 401k freed
ACPI: Core revision 20060707
ACPI: Looking for DSDT in initramfs... /DSDT.aml does not exist.
CPU0: Intel(R) Xeon(TM) CPU 2.80GHz stepping 0a
Booting processor 1/6 eip 2000
Initializing CPU#1
Calibrating delay using timer specific routine.. 5600.74 BogoMIPS
(lpj=11201483)
CPU: After generic identify, caps: bfebfbff 20100000 00000000 00000000 0000641d
00000000 00000001
CPU: After vendor identify, caps: bfebfbff 20100000 00000000 00000000 0000641d
00000000 00000001
monitor/mwait feature present.
CPU: Trace cache: 12K uops, L1 D cache: 16K
CPU: L2 cache: 2048K
CPU: Hyper-Threading is disabled
CPU: After all inits, caps: bfebf3ff 20100000 00000000 00000180 0000641d
00000000 00000001
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#1.
CPU1: Intel P4/Xeon Extended MCE MSRs (24) available
CPU1: Thermal monitoring enabled
CPU1: Intel(R) Xeon(TM) CPU 2.80GHz stepping 0a
Total of 2 processors activated (11205.38 BogoMIPS).
ENABLING IO-APIC IRQs
..TIMER: vector=0x31 apic1=0 pin1=2 apic2=-1 pin2=-1
checking TSC synchronization across 2 CPUs: passed.
Brought up 2 CPUs
migration_cost=1649
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: Using MMCONFIG
PCI: No mmconfig possible on 7:1
PCI: No mmconfig possible on 7:2
Setting up standard PCI resources
ACPI: Interpreter enabled
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Probing PCI hardware (bus 00)
PCI quirk: region 1000-107f claimed by ICH4 ACPI/GPIO/TCO
PCI quirk: region 1180-11bf claimed by ICH4 GPIO
PCI: Ignoring BAR0-3 of IDE controller 0000:00:1f.1
PCI: PXH quirk detected, disabling MSI for SHPC device
PCI: PXH quirk detected, disabling MSI for SHPC device
Boot video device is 0000:07:01.0
PCI: Transparent bridge - 0000:00:1e.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PEX0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PEX0.PXH0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PEX0.PXH1._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PEY0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PEZ0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCIX._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCIB._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 *5 6 7 10 11 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 *10 11 14 15)
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 *10 11 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 10 *11 14 15)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 10 *11 14 15)
ACPI: PCI Interrupt Link [LNKF] (IRQs 4 5 6 7 10 11 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 *10 11 14 15)
ACPI: PCI Interrupt Link [LNKH] (IRQs 4 5 6 7 10 *11 14 15)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 13 devices
PnPBIOS: Disabled by ACPI PNP
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
PCI: Bridge: 0000:01:00.0
  IO window: 2000-2fff
  MEM window: dd200000-dd3fffff
  PREFETCH window: 50000000-500fffff
PCI: Bridge: 0000:01:00.2
  IO window: 3000-3fff
  MEM window: dd400000-dd8fffff
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:02.0
  IO window: 2000-3fff
  MEM window: dd100000-dd8fffff
  PREFETCH window: 50000000-500fffff
PCI: Bridge: 0000:00:04.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:06.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:1c.0
  IO window: 4000-4fff
  MEM window: dd900000-dd9fffff
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:1e.0
  IO window: 5000-5fff
  MEM window: dda00000-deffffff
  PREFETCH window: 50100000-501fffff
ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 16 (level, low) -> IRQ 169
PCI: Setting latency timer of device 0000:00:02.0 to 64
PCI: Setting latency timer of device 0000:01:00.0 to 64
PCI: Setting latency timer of device 0000:01:00.2 to 64
ACPI: PCI Interrupt 0000:00:04.0[A] -> GSI 16 (level, low) -> IRQ 169
PCI: Setting latency timer of device 0000:00:04.0 to 64
ACPI: PCI Interrupt 0000:00:06.0[A] -> GSI 16 (level, low) -> IRQ 169
PCI: Setting latency timer of device 0000:00:06.0 to 64
PCI: Setting latency timer of device 0000:00:1e.0 to 64
NET: Registered protocol family 2
IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
TCP: Hash tables configured (established 131072 bind 65536)
TCP reno registered
Simple Boot Flag at 0x39 set to 0x1
audit: initializing netlink socket (disabled)
audit(1202282242.728:1): initialized
highmem bounce pool size: 64 pages
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
Initializing Cryptographic API
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
PCI: Setting latency timer of device 0000:00:02.0 to 64
Allocate Port Service[0000:00:02.0:pcie00]
Allocate Port Service[0000:00:02.0:pcie01]
PCI: Setting latency timer of device 0000:00:04.0 to 64
Allocate Port Service[0000:00:04.0:pcie00]
Allocate Port Service[0000:00:04.0:pcie01]
PCI: Setting latency timer of device 0000:00:06.0 to 64
Allocate Port Service[0000:00:06.0:pcie00]
Allocate Port Service[0000:00:06.0:pcie01]
vesafb: framebuffer at 0xde000000, mapped to 0xf8880000, using 1875k, total
8128k
vesafb: mode is 800x600x16, linelength=1600, pages=7
vesafb: protected mode interface info at c000:4a7e
vesafb: pmi: set display start = c00c4ae4, set palette = c00c4b3e
vesafb: pmi: ports = 5085 501f 50b4 50b8 5018 5014 50c0 50c3 50c1
vesafb: scrolling: redraw
vesafb: Truecolor: size=0:5:6:5, shift=0:11:5:0
Console: switching to colour frame buffer device 100x37
fb0: VESA VGA frame buffer device
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
serial8250: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
00:09: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
00:0a: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
PNP: PS/2 Controller [PNP0303:KBC0,PNP0f13:MSE0] at 0x60,0x64 irq 1,12
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
mice: PS/2 mouse device common for all mice
md: md driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 4.39
TCP bic registered
NET: Registered protocol family 1
Using IPI Shortcut mode
Freeing unused kernel memory: 200k freed
Time: tsc clocksource has been installed.
Executing init=/init
SCSI subsystem initialized
input: AT Translated Set 2 keyboard as /class/input/input0
libata version 2.00 loaded.
sata_mv 0000:02:03.0: version 0.7
ACPI: PCI Interrupt 0000:02:03.0[A] -> GSI 56 (level, low) -> IRQ 177
sata_mv 0000:02:03.0: Applying B2 workarounds to unknown rev
sata_mv 0000:02:03.0: 32 slots 8 ports unknown mode IRQ via INTx
ata1: SATA max UDMA/133 cmd 0x0 ctl 0xF8B22120 bmdma 0x0 irq 177
ata2: SATA max UDMA/133 cmd 0x0 ctl 0xF8B24120 bmdma 0x0 irq 177
ata3: SATA max UDMA/133 cmd 0x0 ctl 0xF8B26120 bmdma 0x0 irq 177
ata4: SATA max UDMA/133 cmd 0x0 ctl 0xF8B28120 bmdma 0x0 irq 177
ata5: SATA max UDMA/133 cmd 0x0 ctl 0xF8B32120 bmdma 0x0 irq 177
ata6: SATA max UDMA/133 cmd 0x0 ctl 0xF8B34120 bmdma 0x0 irq 177
ata7: SATA max UDMA/133 cmd 0x0 ctl 0xF8B36120 bmdma 0x0 irq 177
ata8: SATA max UDMA/133 cmd 0x0 ctl 0xF8B38120 bmdma 0x0 irq 177
scsi0 : sata_mv
ata1.00: ATA-7, max UDMA/133, 625142448 sectors: LBA48 NCQ (depth 0/32)
ata1.00: configured for UDMA/133
scsi1 : sata_mv
ata2: no device found (phy stat 00000000)
scsi2 : sata_mv
ata3.00: ATA-7, max UDMA/133, 625142448 sectors: LBA48 NCQ (depth 0/32)
ata3.00: configured for UDMA/133
scsi3 : sata_mv
ata4: no device found (phy stat 00000000)
scsi4 : sata_mv
ata5.00: ATA-7, max UDMA/133, 625142448 sectors: LBA48 NCQ (depth 0/32)
ata5.00: configured for UDMA/133
scsi5 : sata_mv
ata6: no device found (phy stat 00000000)
scsi6 : sata_mv
ata7: no device found (phy stat 00000000)
scsi7 : sata_mv
ata8: no device found (phy stat 00000000)
  Vendor: ATA       Model: ST3320620AS       Rev: 3.AA
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sda: 625142448 512-byte hdwr sectors (320073 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: drive cache: write back
SCSI device sda: 625142448 512-byte hdwr sectors (320073 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: drive cache: write back
 sda: sda1 sda2 sda3
sd 0:0:0:0: Attached scsi disk sda
  Vendor: ATA       Model: ST3320620AS       Rev: 3.AA
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sdb: 625142448 512-byte hdwr sectors (320073 MB)
sdb: Write Protect is off
sdb: Mode Sense: 00 3a 00 00
SCSI device sdb: drive cache: write back
SCSI device sdb: 625142448 512-byte hdwr sectors (320073 MB)
sdb: Write Protect is off
sdb: Mode Sense: 00 3a 00 00
SCSI device sdb: drive cache: write back
 sdb: unknown partition table
sd 2:0:0:0: Attached scsi disk sdb
  Vendor: ATA       Model: ST3320620AS       Rev: 3.AA
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sdc: 625142448 512-byte hdwr sectors (320073 MB)
sdc: Write Protect is off
sdc: Mode Sense: 00 3a 00 00
SCSI device sdc: drive cache: write back
SCSI device sdc: 625142448 512-byte hdwr sectors (320073 MB)
sdc: Write Protect is off
sdc: Mode Sense: 00 3a 00 00
SCSI device sdc: drive cache: write back
 sdc: unknown partition table
sd 4:0:0:0: Attached scsi disk sdc
ACPI: PCI Interrupt 0000:03:02.0[A] -> GSI 72 (level, low) -> IRQ 185
sata_mv 0000:03:02.0: 32 slots 8 ports SCSI mode IRQ via INTx
ata9: SATA max UDMA/133 cmd 0x0 ctl 0xF8CA2120 bmdma 0x0 irq 185
ata10: SATA max UDMA/133 cmd 0x0 ctl 0xF8CA4120 bmdma 0x0 irq 185
ata11: SATA max UDMA/133 cmd 0x0 ctl 0xF8CA6120 bmdma 0x0 irq 185
ata12: SATA max UDMA/133 cmd 0x0 ctl 0xF8CA8120 bmdma 0x0 irq 185
ata13: SATA max UDMA/133 cmd 0x0 ctl 0xF8CB2120 bmdma 0x0 irq 185
ata14: SATA max UDMA/133 cmd 0x0 ctl 0xF8CB4120 bmdma 0x0 irq 185
ata15: SATA max UDMA/133 cmd 0x0 ctl 0xF8CB6120 bmdma 0x0 irq 185
ata16: SATA max UDMA/133 cmd 0x0 ctl 0xF8CB8120 bmdma 0x0 irq 185
scsi8 : sata_mv
ata9: no device found (phy stat 00000000)
scsi9 : sata_mv
ata10: no device found (phy stat 00000000)
scsi10 : sata_mv
ata11.00: ATA-7, max UDMA/133, 625142448 sectors: LBA48 NCQ (depth 0/32)
ata11.00: configured for UDMA/133
scsi11 : sata_mv
ata12: no device found (phy stat 00000000)
scsi12 : sata_mv
ata13.00: ATA-7, max UDMA/133, 625142448 sectors: LBA48 NCQ (depth 0/32)
ata13.00: configured for UDMA/133
scsi13 : sata_mv
ata14: no device found (phy stat 00000000)
scsi14 : sata_mv
ata15.00: ATA-7, max UDMA/133, 625142448 sectors: LBA48 NCQ (depth 0/32)
ata15.00: configured for UDMA/133
scsi15 : sata_mv
ata16: no device found (phy stat 00000000)
  Vendor: ATA       Model: ST3320620AS       Rev: 3.AA
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sdd: 625142448 512-byte hdwr sectors (320073 MB)
sdd: Write Protect is off
sdd: Mode Sense: 00 3a 00 00
SCSI device sdd: drive cache: write back
SCSI device sdd: 625142448 512-byte hdwr sectors (320073 MB)
sdd: Write Protect is off
sdd: Mode Sense: 00 3a 00 00
SCSI device sdd: drive cache: write back
 sdd: unknown partition table
sd 10:0:0:0: Attached scsi disk sdd
  Vendor: ATA       Model: ST3320620AS       Rev: 3.AA
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sde: 625142448 512-byte hdwr sectors (320073 MB)
sde: Write Protect is off
sde: Mode Sense: 00 3a 00 00
SCSI device sde: drive cache: write back
SCSI device sde: 625142448 512-byte hdwr sectors (320073 MB)
sde: Write Protect is off
sde: Mode Sense: 00 3a 00 00
SCSI device sde: drive cache: write back
 sde: unknown partition table
sd 12:0:0:0: Attached scsi disk sde
  Vendor: ATA       Model: ST3320620AS       Rev: 3.AA
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sdf: 625142448 512-byte hdwr sectors (320073 MB)
sdf: Write Protect is off
sdf: Mode Sense: 00 3a 00 00
SCSI device sdf: drive cache: write back
SCSI device sdf: 625142448 512-byte hdwr sectors (320073 MB)
sdf: Write Protect is off
sdf: Mode Sense: 00 3a 00 00
SCSI device sdf: drive cache: write back
 sdf: sdf1 sdf2 sdf3
sd 14:0:0:0: Attached scsi disk sdf
md: raid1 personality registered for level 1
md: Autodetecting RAID arrays.
md: autorun ...
md: considering sdf3 ...
md:  adding sdf3 ...
md: sdf2 has different UUID to sdf3
md: sdf1 has different UUID to sdf3
md:  adding sda3 ...
md: sda2 has different UUID to sdf3
md: sda1 has different UUID to sdf3
md: created md4
md: bind<sda3>
md: bind<sdf3>
md: running: <sdf3><sda3>
raid1: raid set md4 active with 2 out of 2 mirrors
md: considering sdf2 ...
md:  adding sdf2 ...
md: sdf1 has different UUID to sdf2
md:  adding sda2 ...
md: sda1 has different UUID to sdf2
md: created md3
md: bind<sda2>
md: bind<sdf2>
md: running: <sdf2><sda2>
md: md3: raid array is not clean -- starting background reconstruction
raid1: raid set md3 active with 2 out of 2 mirrors
md: considering sdf1 ...
md:  adding sdf1 ...
md:  adding sda1 ...
md: created md0
md: bind<sda1>
md: bind<sdf1>
md: running: <sdf1><sda1>
raid1: raid set md0 active with 2 out of 2 mirrors
md: ... autorun DONE.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
input: PC Speaker as /class/input/input1
Real Time Clock Driver v1.12ac
sd 0:0:0:0: Attached scsi generic sg0 type 0
sd 2:0:0:0: Attached scsi generic sg1 type 0
sd 4:0:0:0: Attached scsi generic sg2 type 0
sd 10:0:0:0: Attached scsi generic sg3 type 0
sd 12:0:0:0: Attached scsi generic sg4 type 0
sd 14:0:0:0: Attached scsi generic sg5 type 0
usbcore: registered new driver usbfs
usbcore: registered new driver hub
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
Floppy drive(s): fd0 is 1.44M
USB Universal Host Controller Interface driver v3.0
ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 16 (level, low) -> IRQ 169
PCI: Setting latency timer of device 0000:00:1d.0 to 64
uhci_hcd 0000:00:1d.0: UHCI Host Controller
uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 1
uhci_hcd 0000:00:1d.0: irq 169, io base 0x00001400
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 2 ports detected
FDC 0 is a post-1991 82077
ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19 (level, low) -> IRQ 193
PCI: Setting latency timer of device 0000:00:1d.1 to 64
uhci_hcd 0000:00:1d.1: UHCI Host Controller
uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 2
uhci_hcd 0000:00:1d.1: irq 193, io base 0x00001420
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
Intel(R) PRO/1000 Network Driver - version 7.2.7-k2-NAPI
Copyright (c) 1999-2006 Intel Corporation.
8139too Fast Ethernet driver 0.9.27
ACPI: PCI Interrupt 0000:00:1d.7[D] -> GSI 23 (level, low) -> IRQ 201
PCI: Setting latency timer of device 0000:00:1d.7 to 64
ehci_hcd 0000:00:1d.7: EHCI Host Controller
ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 3
ehci_hcd 0000:00:1d.7: debug port 1
PCI: cache line size of 128 is not supported by device 0000:00:1d.7
ehci_hcd 0000:00:1d.7: irq 201, io mem 0xdd001400
ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 4 ports detected
ACPI: PCI Interrupt 0000:00:1f.3[B] -> GSI 17 (level, low) -> IRQ 209
ACPI: PCI Interrupt 0000:02:08.0[A] -> GSI 52 (level, low) -> IRQ 217
parport: PnPBIOS parport detected.
parport0: PC-style at 0x378 (0x778), irq 7, dma 3
[PCSPP,TRISTATE,COMPAT,EPP,ECP,DMA]
e1000: 0000:02:08.0: e1000_probe: (PCI-X:100MHz:64-bit) 00:04:23:ac:48:5a
e1000: eth0: e1000_probe: Intel(R) PRO/1000 Network Connection
ACPI: PCI Interrupt 0000:02:08.1[B] -> GSI 53 (level, low) -> IRQ 225
e1000: 0000:02:08.1: e1000_probe: (PCI-X:100MHz:64-bit) 00:04:23:ac:48:5b
e1000: eth1: e1000_probe: Intel(R) PRO/1000 Network Connection
ACPI: PCI Interrupt 0000:06:01.0[A] -> GSI 24 (level, low) -> IRQ 233
e1000: 0000:06:01.0: e1000_probe: (PCI:66MHz:32-bit) 00:30:48:76:f0:00
e1000: eth2: e1000_probe: Intel(R) PRO/1000 Network Connection
ACPI: PCI Interrupt 0000:06:02.0[A] -> GSI 25 (level, low) -> IRQ 50
e1000: 0000:06:02.0: e1000_probe: (PCI:66MHz:32-bit) 00:30:48:76:f0:01
e1000: eth3: e1000_probe: Intel(R) PRO/1000 Network Connection
ACPI: PCI Interrupt 0000:07:02.0[A] -> GSI 20 (level, low) -> IRQ 58
eth4: RealTek RTL8139 at 0xf8ae0000, 00:11:6b:31:e1:4a, IRQ 58
eth4:  Identified 8139 chip type 'RTL-8100B/8139D'
ICH5: IDE controller at PCI slot 0000:00:1f.1
ACPI: PCI Interrupt 0000:00:1f.1[A] -> GSI 18 (level, low) -> IRQ 66
ICH5: chipset revision 2
ICH5: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0x1460-0x1467, BIOS settings: hda:pio, hdb:pio
    ide1: BM-DMA at 0x1468-0x146f, BIOS settings: hdc:pio, hdd:pio
Probing IDE interface ide0...
8139cp: 10/100 PCI Ethernet driver v1.2 (Mar 22, 2004)
Probing IDE interface ide1...
Adding 4200888k swap on /dev/md3.  Priority:-1 extents:1 across:4200888k
EXT3 FS on md0, internal journal
device-mapper: ioctl: 4.7.0-ioctl (2006-06-24) initialised: dm-devel@redhat.com
kjournald starting.  Commit interval 5 seconds
EXT3 FS on dm-1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS on dm-0, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS on dm-2, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
eth4: link up, 100Mbps, full-duplex, lpa 0xC1E1
ip_tables: (C) 2000-2006 Netfilter Core Team
NET: Registered protocol family 17
tun: Universal TUN/TAP device driver, 1.6
tun: (C) 1999-2004 Max Krasnyansky <maxk@qualcomm.com>
Netfilter messages via NETLINK v0.30.
ip_conntrack version 2.4 (8187 buckets, 65496 max) - 232 bytes per conntrack




lspci -v
00:00.0 Host bridge: Intel Corporation E7520 Memory Controller Hub (rev 0c)
        Subsystem: Super Micro Computer Inc Unknown device 6080
        Flags: bus master, fast devsel, latency 0
        Capabilities: [40] Vendor Specific Information

00:00.1 Class ff00: Intel Corporation E7525/E7520 Error Reporting Registers
(rev 0c)
        Subsystem: Super Micro Computer Inc Unknown device 6080
        Flags: fast devsel

00:01.0 System peripheral: Intel Corporation E7520 DMA Controller (rev 0c)
        Subsystem: Super Micro Computer Inc Unknown device 6080
        Flags: fast devsel, IRQ 5
        Memory at dd000000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [b0] Message Signalled Interrupts: Mask- 64bit- Queue=0/1
Enable-

00:02.0 PCI bridge: Intel Corporation E7525/E7520/E7320 PCI Express Port A (rev
0c) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=03, sec-latency=0
        I/O behind bridge: 00002000-00003fff
        Memory behind bridge: dd100000-dd8fffff
        Prefetchable memory behind bridge: 0000000050000000-00000000500fffff
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Message Signalled Interrupts: Mask- 64bit- Queue=0/1
Enable-
        Capabilities: [64] Express Root Port (Slot-) IRQ 0
        Capabilities: [100] Advanced Error Reporting

00:04.0 PCI bridge: Intel Corporation E7525/E7520 PCI Express Port B (rev 0c)
(prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Message Signalled Interrupts: Mask- 64bit- Queue=0/1
Enable-
        Capabilities: [64] Express Root Port (Slot-) IRQ 0
        Capabilities: [100] Advanced Error Reporting

00:06.0 PCI bridge: Intel Corporation E7520 PCI Express Port C (rev 0c)
(prog-if
00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Message Signalled Interrupts: Mask- 64bit- Queue=0/1
Enable-
        Capabilities: [64] Express Root Port (Slot-) IRQ 0
        Capabilities: [100] Advanced Error Reporting

00:1c.0 PCI bridge: Intel Corporation 6300ESB 64-bit PCI-X Bridge (rev 02)
(prog-if 00 [Normal decode])
        Flags: bus master, 66MHz, fast devsel, latency 40
        Bus: primary=00, secondary=06, subordinate=06, sec-latency=48
        I/O behind bridge: 00004000-00004fff
        Memory behind bridge: dd900000-dd9fffff
        Capabilities: [50] PCI-X bridge device

00:1d.0 USB Controller: Intel Corporation 6300ESB USB Universal Host Controller
(rev 02) (prog-if 00 [UHCI])
        Subsystem: Super Micro Computer Inc Unknown device 6080
        Flags: bus master, medium devsel, latency 0, IRQ 169
        I/O ports at 1400 [size=32]

00:1d.1 USB Controller: Intel Corporation 6300ESB USB Universal Host Controller
(rev 02) (prog-if 00 [UHCI])
        Subsystem: Super Micro Computer Inc Unknown device 6080
        Flags: bus master, medium devsel, latency 0, IRQ 193
        I/O ports at 1420 [size=32]

00:1d.4 System peripheral: Intel Corporation 6300ESB Watchdog Timer (rev 02)
        Subsystem: Super Micro Computer Inc Unknown device 6080
        Flags: medium devsel
        Memory at dd001000 (32-bit, non-prefetchable) [size=16]

00:1d.5 PIC: Intel Corporation 6300ESB I/O Advanced Programmable Interrupt
Controller (rev 02) (prog-if 20 [IO(X)-APIC])
        Flags: bus master, fast devsel, latency 0
        Capabilities: [50] PCI-X non-bridge device

00:1d.7 USB Controller: Intel Corporation 6300ESB USB2 Enhanced Host Controller
(rev 02) (prog-if 20 [EHCI])
        Subsystem: Super Micro Computer Inc Unknown device 6080
        Flags: bus master, medium devsel, latency 0, IRQ 201
        Memory at dd001400 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Debug port

00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 0a) (prog-if 00
[Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=07, subordinate=07, sec-latency=32
        I/O behind bridge: 00005000-00005fff
        Memory behind bridge: dda00000-deffffff
        Prefetchable memory behind bridge: 50100000-501fffff

00:1f.0 ISA bridge: Intel Corporation 6300ESB LPC Interface Controller (rev 02)
        Flags: bus master, medium devsel, latency 0

00:1f.1 IDE interface: Intel Corporation 6300ESB PATA Storage Controller (rev
02) (prog-if 8a [Master SecP PriP])
        Subsystem: Super Micro Computer Inc Unknown device 6080
        Flags: bus master, medium devsel, latency 0, IRQ 66
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at 1460 [size=16]
        Memory at 50200000 (32-bit, non-prefetchable) [size=1K]

00:1f.3 SMBus: Intel Corporation 6300ESB SMBus Controller (rev 02)
        Subsystem: Super Micro Computer Inc Unknown device 6080
        Flags: medium devsel, IRQ 209
        I/O ports at 1100 [size=32]

01:00.0 PCI bridge: Intel Corporation 6700PXH PCI Express-to-PCI Bridge A (rev
09) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=01, secondary=02, subordinate=02, sec-latency=64
        I/O behind bridge: 00002000-00002fff
        Memory behind bridge: dd200000-dd3fffff
        Prefetchable memory behind bridge: 0000000050000000-00000000500fffff
        Capabilities: [44] Express PCI/PCI-X Bridge IRQ 0
        Capabilities: [5c] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable-
        Capabilities: [6c] Power Management version 2
        Capabilities: [d8] PCI-X bridge device
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [300] Power Budgeting

01:00.1 PIC: Intel Corporation 6700/6702PXH I/OxAPIC Interrupt Controller A
(rev
09) (prog-if 20 [IO(X)-APIC])
        Subsystem: Super Micro Computer Inc Unknown device 6080
        Flags: bus master, fast devsel, latency 0
        Memory at dd100000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Express Endpoint IRQ 0
        Capabilities: [6c] Power Management version 2

01:00.2 PCI bridge: Intel Corporation 6700PXH PCI Express-to-PCI Bridge B (rev
09) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=01, secondary=03, subordinate=03, sec-latency=64
        I/O behind bridge: 00003000-00003fff
        Memory behind bridge: dd400000-dd8fffff
        Capabilities: [44] Express PCI/PCI-X Bridge IRQ 0
        Capabilities: [5c] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable-
        Capabilities: [6c] Power Management version 2
        Capabilities: [d8] PCI-X bridge device
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [300] Power Budgeting

01:00.3 PIC: Intel Corporation 6700PXH I/OxAPIC Interrupt Controller B (rev 09)
(prog-if 20 [IO(X)-APIC])
        Subsystem: Super Micro Computer Inc Unknown device 6080
        Flags: bus master, fast devsel, latency 0
        Memory at dd101000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Express Endpoint IRQ 0
        Capabilities: [6c] Power Management version 2

02:03.0 RAID bus controller: Marvell Technology Group Ltd. MV88SX6081 8-port
SATA II PCI-X Controller (rev 03)
        Subsystem: Super Micro Computer Inc Unknown device 6080
        Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 177
        Memory at dd200000 (64-bit, non-prefetchable) [size=1M]
        I/O ports at 2000 [size=256]
        Capabilities: [40] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable-
        Capabilities: [60] PCI-X non-bridge device

02:08.0 Ethernet controller: Intel Corporation 82546GB Gigabit Ethernet
Controller (rev 03)
        Subsystem: Intel Corporation PRO/1000 MT Dual Port Server Adapter
        Flags: bus master, 66MHz, medium devsel, latency 52, IRQ 217
        Memory at dd340000 (64-bit, non-prefetchable) [size=128K]
        Memory at dd300000 (64-bit, non-prefetchable) [size=256K]
        I/O ports at 2400 [size=64]
        [virtual] Expansion ROM at 50000000 [disabled] [size=256K]
        Capabilities: [dc] Power Management version 2
        Capabilities: [e4] PCI-X non-bridge device
        Capabilities: [f0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable-

02:08.1 Ethernet controller: Intel Corporation 82546GB Gigabit Ethernet
Controller (rev 03)
        Subsystem: Intel Corporation PRO/1000 MT Dual Port Server Adapter
        Flags: bus master, 66MHz, medium devsel, latency 52, IRQ 225
        Memory at dd360000 (64-bit, non-prefetchable) [size=128K]
        Memory at dd380000 (64-bit, non-prefetchable) [size=256K]
        I/O ports at 2440 [size=64]
        [virtual] Expansion ROM at 50040000 [disabled] [size=256K]
        Capabilities: [dc] Power Management version 2
        Capabilities: [e4] PCI-X non-bridge device
        Capabilities: [f0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable-

03:02.0 SCSI storage controller: Marvell Technology Group Ltd. MV88SX6081
8-port
SATA II PCI-X Controller (rev 09)
        Subsystem: Marvell Technology Group Ltd. Unknown device 11ab
        Flags: bus master, fast Back2Back, 66MHz, medium devsel, latency 32,
IRQ 185
        Memory at dd800000 (64-bit, non-prefetchable) [size=1M]
        I/O ports at 3000 [size=256]
        Capabilities: [40] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable-
        Capabilities: [60] PCI-X non-bridge device

06:01.0 Ethernet controller: Intel Corporation 82541GI Gigabit Ethernet
Controller (rev 05)
        Subsystem: Super Micro Computer Inc Unknown device 1076
        Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 233
        Memory at dd900000 (64-bit, non-prefetchable) [size=128K]
        I/O ports at 4000 [size=64]
        Capabilities: [dc] Power Management version 2
        Capabilities: [e4] PCI-X non-bridge device

06:02.0 Ethernet controller: Intel Corporation 82541GI Gigabit Ethernet
Controller (rev 05)
        Subsystem: Super Micro Computer Inc Unknown device 1076
        Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 50
        Memory at dd920000 (64-bit, non-prefetchable) [size=128K]
        I/O ports at 4040 [size=64]
        Capabilities: [dc] Power Management version 2
        Capabilities: [e4] PCI-X non-bridge device

07:01.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
(prog-if 00 [VGA])
        Subsystem: Super Micro Computer Inc Unknown device 6080
        Flags: bus master, stepping, medium devsel, latency 66, IRQ 5
        Memory at de000000 (32-bit, non-prefetchable) [size=16M]
        I/O ports at 5000 [size=256]
        Memory at dda00000 (32-bit, non-prefetchable) [size=4K]
        [virtual] Expansion ROM at 50100000 [disabled] [size=128K]
        Capabilities: [5c] Power Management version 2

07:02.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
        Subsystem: Realtek Semiconductor Co., Ltd. RT8139
        Flags: bus master, medium devsel, latency 32, IRQ 58
        I/O ports at 5400 [size=256]
        Memory at dda01000 (32-bit, non-prefetchable) [size=256]
        [virtual] Expansion ROM at 50120000 [disabled] [size=64K]
        Capabilities: [50] Power Management version 2


при добавлении "failsafe noapic nolapic acpi=off" к alt21 проблемы нет

Steps to Reproduce:
1. на машине с alt linux server 4.0.1 пускаем netcat -l 9999 < /dev/zero
2. другой (обязательно другой!) машинке netcat -v IP_PROBLEM_PC 9999|dd
of=/dev/null bs=1024 count=2048000

Actual Results:  
через несколько секунд ( в пределах минуты-двух) - мертвый вис, на экране и в
логах ничего

Expected Results:  
при добавлении "failsafe noapic nolapic acpi=off" к alt21 работает корректно
------- Comment #1 From 2008-03-15 23:53:34 -------
reassign
------- Comment #2 From 2008-06-13 12:59:26 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #3 From 2008-07-11 12:54:17 -------
Проблема ещё существует?
------- Comment #4 From 2014-11-05 20:15:47 -------
В 4.0/branch исправления не будут вноситься уже технически (заглушена очередь
на сборку), поэтому прошу ошибки, актуальные для sisyphus/p7/t7, перевесить на
текущие ветки или сизиф.